com.dlsc.flexgantt.swing.util

## Enum WindowsCornerIcon.Corner

- java.lang.Object
- - java.lang.Enum<WindowsCornerIcon.Corner>
  - - com.dlsc.flexgantt.swing.util.WindowsCornerIcon.Corner

- All Implemented Interfaces:
    Serializable, Comparable<WindowsCornerIcon.Corner>
  Enclosing class:
    WindowsCornerIcon

      public static enum WindowsCornerIcon.Corner
      extends Enum<WindowsCornerIcon.Corner>

  An enumerator, which specifies where the icon will draw its boxes.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOWER_RIGHT` Draws the icon boxes in the lower right corner.
    `UPPER_LEFT` Draws the icon boxes in the upper left corner.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WindowsCornerIcon.Corner` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WindowsCornerIcon.Corner[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPPER_LEFT

          public static final WindowsCornerIcon.Corner UPPER_LEFT

      Draws the icon boxes in the upper left corner.
      Since:
        1.0

    - #### LOWER_RIGHT

          public static final WindowsCornerIcon.Corner LOWER_RIGHT

      Draws the icon boxes in the lower right corner.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static WindowsCornerIcon.Corner[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WindowsCornerIcon.Corner c : WindowsCornerIcon.Corner.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WindowsCornerIcon.Corner valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.